package com.ynfy.buss.exam.examreview.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 阅卷表
 * @Author: jeecg-boot
 * @Date: 2023-04-08
 * @Version: V1.0
 */
@Data
@TableName("exam_review")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "exam_review对象", description = "阅卷表")
public class ExamReview implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private String id;

    /**
     * 考试名称
     */
    @Excel(name = "考试名称", width = 15)
    @ApiModelProperty(value = "考试名称")
    private String title;
    /**
     * 考试权限
     */
    @Excel(name = "考试权限", width = 15)
    @ApiModelProperty(value = "考试权限")
    @Dict(dicCode = "open_type")
    private Integer openType;
    /**
     * 开始考试时间
     */
    @Excel(name = "开始考试时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "开始考试时间")
    private Date startTime;
    /**
     * 结束考试时间
     */
    @Excel(name = "结束考试时间", width = 15, format = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "结束考试时间")
    private Date endTime;
    /**
     * 考试人数
     */
    @Excel(name = "考试人数", width = 15)
    @ApiModelProperty(value = "考试人数")
    private Integer examUserCount;
    /**
     * 待阅试卷数量
     */
    @Excel(name = "待阅试卷数量", width = 15)
    @ApiModelProperty(value = "待阅试卷数量")
    private Integer examReviewTimes;
}
