package com.ynfy.buss.exam.examuserstatistics.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 考试用户统计
 * @Author: jeecg-boot
 * @Date: 2023-03-20
 * @Version: V1.0
 */
@Data
@TableName("exam_user_statistics")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "exam_user_statistics对象", description = "考试用户统计")
public class ExamUserStatistics implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
    /**
     * 考试id
     */
    @Excel(name = "考试id", width = 15)
    @ApiModelProperty(value = "考试id")
    private String examId;
    /**
     * 所属部门
     */
    @Excel(name = "所属部门", width = 15)
    @ApiModelProperty(value = "所属部门")
    private String userId;
    /**
     * 用户名
     */
    @Excel(name = "用户名", width = 15)
    @ApiModelProperty(value = "用户名")
    private String username;
    /**
     * 真实姓名
     */
    @Excel(name = "真实姓名", width = 15)
    @ApiModelProperty(value = "真实姓名")
    private String realname;
    /**
     * 组织机构编码
     */
    @Excel(name = "组织机构编码", width = 15)
    @ApiModelProperty(value = "组织机构编码")
    private String orgCode;
    /**
     * 组织机构名称
     */
    @Excel(name = "组织机构名称", width = 15)
    @ApiModelProperty(value = "组织机构名称")
    private String orgName;
    /**
     * 开始考试时间
     */
    @Excel(name = "开始考试时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开始考试时间")
    private Date startExamTime;
    /**
     * 交卷时间
     */
    @Excel(name = "交卷时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "交卷时间")
    private Date commitExamTime;
    /**
     * 考试次数
     */
    @Excel(name = "考试次数", width = 15)
    @ApiModelProperty(value = "考试次数")
    private Integer tryCount;
    /**
     * 用户用时
     */
    @Excel(name = "用户用时", width = 15)
    @ApiModelProperty(value = "用户用时")
    private Integer userTime;
    /**
     * 用户得分
     */
    @Excel(name = "用户得分", width = 15)
    @ApiModelProperty(value = "用户得分")
    private Integer userScore;
    /**
     * 正确率
     */
    @Excel(name = "正确率", width = 15)
    @ApiModelProperty(value = "正确率")
    private Double accuracy;
    /**
     * 是否通过
     */
    @Excel(name = "是否通过", width = 15)
    @ApiModelProperty(value = "是否通过")
    private Integer passed;
    /**
     * 排名
     */
    @Excel(name = "排名", width = 15)
    @ApiModelProperty(value = "排名")
    private Integer rank;

    /**
     * 得分率
     */
    @Excel(name = "得分率", width = 15)
    @ApiModelProperty(value = "得分率")
    private Double scoreRate;
}
