package com.ynfy.buss.exam.paperquestion.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: paper_question
 * @Author: jeecg-boot
 * @Date: 2023-02-23
 * @Version: V1.0
 */
@Data
@TableName("paper_question")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "paper_question对象", description = "paper_question")
public class PaperQuestion implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 试卷id
     */
    @Excel(name = "试卷id", width = 15)
    @ApiModelProperty(value = "试卷id")
    private String paperId;
    /**
     * 题目id
     */
    @Excel(name = "题目id", width = 15)
    @ApiModelProperty(value = "题目id")
    private String questionId;
    /**
     * 题目类型
     */
    @Excel(name = "题目类型", width = 15)
    @ApiModelProperty(value = "题目类型")
    private Integer questionType;
    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer sort;
    /**
     * 题目分数
     */
    @Excel(name = "题目分数", width = 15)
    @ApiModelProperty(value = "题目分数")
    private Integer questionScore;

    /**
     * 所属组id
     */
    @Excel(name = "所属组id", width = 15)
    @ApiModelProperty(value = "所属组id")
    private String groupId;
}
