package com.ynfy.buss.exam.paperrulegroup.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ynfy.buss.exam.paperruledetail.entity.PaperRuleDetail;
import com.ynfy.buss.exam.question.entity.Question;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: paper_rule_group
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
@Data
@TableName("paper_rule_group")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "paper_rule_group对象", description = "paper_rule_group")
public class PaperRuleGroup implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 组名
     */
    @Excel(name = "组名", width = 15)
    @ApiModelProperty(value = "组名")
    private String title;

    /**
     * 试卷id
     */
    @Excel(name = "试卷id", width = 32)
    @ApiModelProperty(value = "试卷id")
    private String paperId;
    /**
     * 题目类型
     */
    @Excel(name = "题目类型", width = 15)
    @ApiModelProperty(value = "题目类型")
    @Dict(dicCode = "question_type")
    private Integer questionType;
    /**
     * 每题分数
     */
    @Excel(name = "每题分数", width = 15)
    @ApiModelProperty(value = "每题分数")
    private Integer perScore;
    /**
     * 题目数量
     */
    @Excel(name = "题目数量", width = 15)
    @ApiModelProperty(value = "题目数量")
    private Integer questionCount;
    /**
     * 总分数
     */
    @Excel(name = "总分数", width = 15)
    @ApiModelProperty(value = "总分数")
    private Integer totalScore;
    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @ApiModelProperty(value = "排序")
    private Integer sort;

    /**
     * 漏选也给分
     */
    @Excel(name = "漏选也给分", width = 15)
    @ApiModelProperty(value = "漏选也给分")
    private Boolean canMissOption;

    /**
     * 按空给分
     */
    @Excel(name = "按空给分", width = 15)
    @ApiModelProperty(value = "按空给分")
    private Boolean canBlankOption;

    @TableField(exist = false)
    public List<PaperRuleDetail> ruleList;

    @TableField(exist = false)
    public List<Question> questionList;
}
